/// 删除方式
export enum eDeleteOps {
	Current = 0,
	Before = 1,
}
export const eDelete_Ops = {
	[eDeleteOps.Current]: '当前',
	[eDeleteOps.Before]: '之前',
} as const;

export enum DataStatusEnum {
	Run = 'KJ',
	Shut = 'GJ',
	Alarm = 'BJ',
	Supplement = 'BC',
	DataFormatError = 'SZGSCW',
	ConvertFailed = 'ZHSB',
	FilterFailed = 'GLSB',
	CalculateFailed = 'JSSB',
}

export const dataStatusOps_Enum = {
	[DataStatusEnum.Run]: '开机',
	[DataStatusEnum.Shut]: '关机',
	[DataStatusEnum.Alarm]: '报警',
	[DataStatusEnum.Supplement]: '补充',
	[DataStatusEnum.DataFormatError]: '数据格式错误',
	[DataStatusEnum.ConvertFailed]: '转换失败',
	[DataStatusEnum.FilterFailed]: '过滤失败',
	[DataStatusEnum.CalculateFailed]: '计算失败',
} as const;
